body {
    margin: 0;
    padding: 0;
    font-family: "Poppins", sans-serif;
    background:
        radial-gradient(circle at top left, rgba(255, 95, 0, 0.18), transparent 26%),
        radial-gradient(circle at bottom right, rgba(21, 114, 161, 0.22), transparent 30%),
        linear-gradient(135deg, #08151d 0%, #102a37 52%, #183d4c 100%);
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
}

.admin-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
}

.admin-box {
    width: 380px;
    background: rgba(255, 255, 255, 0.12);
    padding: 40px 35px;
    border-radius: 18px;
    backdrop-filter: blur(12px);
    box-shadow: 0 15px 25px rgba(0,0,0,0.2);
    text-align: center;
}

.admin-box h2 {
    margin-bottom: 25px;
    font-size: 28px;
    font-weight: 600;
}

.input-group {
    margin-bottom: 18px;
}

.input-group input {
    width: 100%;
    padding: 14px;
    font-size: 15px;
    border-radius: 10px;
    border: none;
    outline: none;
    background: rgba(255, 255, 255, 0.20);
    color: #fff;
}

.input-group input::placeholder {
    color: #eeeeee;
}

.login-btn {
    width: 100%;
    padding: 14px;
    font-size: 16px;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    background: #FF5F00;
    color: #fff;
    font-weight: bold;
    transition: 0.3s;
    margin-top: 10px;
}

.login-btn:hover {
    background: #e65700;
}

.sidebar {
    z-index: 2;   /* lower priority */
}

.topbar {
    z-index: 2; 
    position: relative;
}
